Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class PositiveInteger

    java.lang.Object
      java.lang.Number
          java.math.BigInteger
              org.apache.axis.types.NonNegativeInteger
                  org.apache.axis.types.PositiveInteger

All Implemented Interfaces:
  Comparable, Serializable

public class PositiveInteger
extends NonNegativeInteger

Custom class for supporting primitive XSD data type positiveInteger

positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The value space of positiveInteger is the infinite set {1,2,...}.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.25, Serialized Form

Field Summary

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`PositiveInteger(byte[] val)`
`PositiveInteger(int signum, byte[] magnitude)`
`PositiveInteger(int bitLength, int certainty, Random rnd)`
`PositiveInteger(int numBits, Random rnd)`
`PositiveInteger(String val)`
`PositiveInteger(String val, int radix)`

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, probablePrime, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositiveInteger

    public PositiveInteger(byte[] val)

### PositiveInteger

    public PositiveInteger(int signum,
                           byte[] magnitude)

### PositiveInteger

    public PositiveInteger(int bitLength,
                           int certainty,
                           Random rnd)

### PositiveInteger

    public PositiveInteger(int numBits,
                           Random rnd)

### PositiveInteger

    public PositiveInteger(String val)

### PositiveInteger

    public PositiveInteger(String val,
                           int radix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.